Bug 1055148 (Horde_Mapi) - Review Request: php-horde-Horde-Mapi - MAPI utility library
Summary: Review Request: php-horde-Horde-Mapi - MAPI utility library
Status: CLOSED ERRATA
Alias: Horde_Mapi
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-19 06:38 UTC by Remi Collet
Modified: 2014-02-11 19:14 UTC (History)
2 users (show)

Fixed In Version: php-horde-Horde-Mapi-1.0.2-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:04:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora-review+
limburgher: fedora-cvs+


Attachments (Terms of Use)
phpcompatinfo.log (9.76 KB, text/x-log)
2014-01-21 05:38 UTC, Shawn Iwinski
no flags Details
fedora-review.txt (6.23 KB, text/plain)
2014-01-21 05:38 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2014-01-19 06:38:21 UTC
Spec URL: https://raw2.github.com/remicollet/remirepo/49d1353c25547376775987879d74547ca8ac6c36/php/horde/php-horde-Horde-Mapi/php-horde-Horde-Mapi.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-horde-Horde-Mapi-1.0.2-1.remi.src.rpm
Description: 

Fedora Account System Username: remi
Provides various utility classes for dealing with Microsoft MAPI structured
data.

Comment 1 Remi Collet 2014-01-19 06:39:42 UTC
Notice, I don't target EL-5 but will clean the EL-5 stuff (buildroot, ...) after import, as usually.

I keep Camel case in the package name, as the >80  already approved packages in the horde stack already use it. And I obviously don't plan a mass rename ;)

This is a new optional dependency of Horde_Compress.

Comment 2 Shawn Iwinski 2014-01-21 05:38:17 UTC
Created attachment 852959 [details]
phpcompatinfo.log

phpcompatinfo version 2.26.0

Comment 3 Shawn Iwinski 2014-01-21 05:38:49 UTC
Created attachment 852961 [details]
fedora-review.txt

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --mock-config fedora-rawhide-x86_64 -b 1055148
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Shawn Iwinski 2014-01-21 05:39:25 UTC
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

Remove EPEL 5 bits after initial import.


No blockers.


===== APPROVED =====

Comment 5 Remi Collet 2014-01-21 06:03:47 UTC
New Package SCM Request
=======================
Package Name: php-horde-Horde-Mapi
Short Description: MAPI utility library
Owners: remi
Branches: f20 el6 epel7
InitialCC:

Comment 6 Gwyn Ciesla 2014-01-21 14:10:37 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2014-01-21 17:03:35 UTC
php-horde-Horde-Mapi-1.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-horde-Horde-Mapi-1.0.2-1.fc20

Comment 8 Fedora Update System 2014-01-21 17:03:49 UTC
php-horde-Horde-Mapi-1.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-horde-Horde-Mapi-1.0.2-1.el6

Comment 9 Fedora Update System 2014-01-31 04:29:20 UTC
php-horde-Horde-Mapi-1.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-02-11 19:14:46 UTC
php-horde-Horde-Mapi-1.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.